Subject: Re: [PATCH net-next 1/2] net: sfp: VSOL V2801F / CarlitoxxPro CPGOS03-0490 v2.0 workaround

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 9 Dec 2020 11:20:13 +0000

On Fri, Dec 04, 2020 at 04:31:52PM +0100, Andrew Lunn wrote:
> > +/* Some modules (Nokia 3FE46541AA) lock up if byte 0x51 is read as a
> > + * single read. Switch back to reading 16 byte blocks unless we have
> > + * a CarlitoxxPro module (rebranded VSOL V2801F). Even more annoyingly,
> > + * some VSOL V2801F have the vendor name changed to OEM.
> 
> Hi Russell
> 
> I guess it is more likely, the vendor name has not been changed _from_
> OEM.

That is very unclear what happened: it seems older dated modules used
VSOL and later ones use OEM, so I think the way I describe it is
likely accurate from what we can observe.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!